Bug 229320 - MediaSession artwork URL is showing in logs.
Summary: MediaSession artwork URL is showing in logs.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jean-Yves Avenard [:jya]
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-08-19 18:45 PDT by Jean-Yves Avenard [:jya]
Modified: 2021-08-24 17:07 PDT (History)
8 users (show)

See Also:


Attachments
Patch (1.99 KB, patch)
2021-08-19 21:49 PDT, Jean-Yves Avenard [:jya]
no flags Details | Formatted Diff | Diff
Patch (2.52 KB, patch)
2021-08-23 22:50 PDT, Jean-Yves Avenard [:jya]
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Yves Avenard [:jya] 2021-08-19 18:45:49 PDT
We show the MediaSession artwork URL if any is present in the log.
We shouldn't
Comment 1 Radar WebKit Bug Importer 2021-08-19 21:47:21 PDT
<rdar://problem/82156288>
Comment 2 Jean-Yves Avenard [:jya] 2021-08-19 21:49:30 PDT
Created attachment 435939 [details]
Patch
Comment 3 youenn fablet 2021-08-20 09:10:14 PDT
Comment on attachment 435939 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435939&action=review

> Source/WebCore/platform/audio/cocoa/MediaSessionManagerCocoa.mm:-393
> -

I would tend to keep this logging but remove some information like title and src then.
Comment 4 Eric Carlson 2021-08-20 09:25:23 PDT
Comment on attachment 435939 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=435939&action=review

> Source/WebCore/platform/audio/cocoa/MediaSessionManagerCocoa.mm:392
> +#ifdef DEBUG

`#ifndef LOG_DISABLED` would be better I think.

>> Source/WebCore/platform/audio/cocoa/MediaSessionManagerCocoa.mm:-393
>> -
> 
> I would tend to keep this logging but remove some information like title and src then.

I agree, just drop the url when LOG_DISABLED
Comment 5 Jean-Yves Avenard [:jya] 2021-08-23 22:50:25 PDT
Created attachment 436264 [details]
Patch

apply comment
Comment 6 EWS 2021-08-24 17:07:33 PDT
Committed r281533 (240904@main): <https://commits.webkit.org/240904@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436264 [details].